{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Mensajes Leidos {% endblock title %}

{% block stylesheets %}
	<style>
		.has-feedback .form-control {
		    padding-right: 50%;
		}
		.form-control-feedback {
			top: 0px !important;
		}
    #form_Consultar{
      margin-top: 10%;
    }
	</style>	
{% endblock %}

{% block body -%}
        
        <section class="content-header">
          <h1>
            Inbox
          </h1>
        </section>       

        <section class="content">
        	<div class="row">
            
            <div class="col-md-3">
              <a href="{{ path('new_message') }}" class="btn btn-primary btn-block margin-bottom">
              	<i class="fa fa-pencil-square-o"></i>&nbsp;&nbsp;Nuevo mensaje
              </a>
              <div class="box box-solid">
                <div class="box-header with-border">
                  <h3 class="box-title">Herramientas</h3>
                </div>
                <div class="box-body no-padding">
                  <ul class="nav nav-pills nav-stacked">
                    <li><a href="{{ path('show_inbox') }}"><i class="fa fa-inbox"></i> Inbox (No leidos) <span class="label label-primary pull-right" id="load_total_inbox3">0</span></a></li>
                    <li><a href="{{ path('show_inbox_send') }}"><i class="fa fa-arrow-circle-right"></i> Mensajes Enviados</a></li>
                    <li><a href="{{ path('show_inbox_delete') }}"><i class="fa fa-times-circle-o"></i> Mensajes Eliminados</a></li>
                    <li class="active"><a href="{{ path('show_inbox_leidos') }}"><i class="glyphicon glyphicon-eye-open"></i> Mensajes Leidos</a></li>
                  </ul>
                </div><!-- /.box-body -->
              </div><!-- /. box -->
            </div><!-- /.col -->

            <div class="col-md-9">
              <div class="box box-primary">
                
                <div class="box-header with-border">
                  <h3 class="box-title">Consulta de mensajes Leidos</h3>
                </div><!-- /.box-header -->
                <div class="box-body no-padding" style="padding: 2% ! important;">

                    {{ form_start(form_leidos) }}
                      {% for row in [
                        [ ['fechaInicio'],  ['fechaFin'],  ['Consultar'] ]
                        ]
                      %}
                        <div class="row">   
                        {% for field in row %}
                          <div class="col-md-{{ field[1] is defined ? field[1] * 4 :  4 }}">
                            {% if (attribute(form_leidos, field[0]) is defined) %}
                              {{ form_row(attribute(form_leidos, field[0])) }}
                            {% endif %}
                          </div>
                        {% endfor %}
                        </div>
                      {% endfor %}
                      {{ form_rest(form_leidos) }}
                      {{ form_end(form_leidos) }}
                 
                </div>  
                <div class="box-body no-padding" style="padding-bottom: 3% ! important;">
                  <div class="mailbox-controls">           
                    <button class="btn btn-default btn-sm" data-toggle="tooltip" title="Eliminar" onclick="eliminarMensajes()">
                        <i class="fa fa-trash-o"></i>
                    </button>                 
                  </div>

                  <div class="table-responsive mailbox-messages" style="padding: 0px 1%;">
                    <table class="table table-hover table-striped" id="tbl_inbox">
                      <thead>
                        <th><i class="fa fa-square-o"></i></th>
                      	<th style="max-width: 120px;">Asunto.</th>
                      	<th style="max-width: 120px;">Remitente.</th>
                      	<th style="max-width: 55px;">Fecha.</th>
                      </thead>
                      <tbody>

                        {% for entity in Inbox %}
                          <tr  onclick=document.location.href='{{ path('show_message', { 'id': entity.idMensaje  }) }}' style="cursor:pointer">
                            <td style="text-align: center; padding-left: 0%;"> 
                              <input type="checkbox" value="{{ entity.Inbox[0].idInbox }}" onclick="selected(this)" id="chkStatus"> 
                            </td>
                             <td>{{ entity.Asunto }}</td>
                             <td>{{ entity.Emisor.uNombre }} {{ entity.Emisor.uApPaterno }} {{ entity.Emisor.uApMaterno }}</td>
                             <td>{{ entity.Fecha.date|date("d/m/Y H:i:s") }}</td>
                          </tr> 
                        {% endfor %}

                      </tbody>
                    </table><!-- /.table -->
                  </div><!-- /.mail-box-messages -->
                </div><!-- /.box-body -->

              </div><!-- /. box -->
            </div><!-- /.col -->

          </div><!-- /.row -->
        </section>	
{% endblock %}

{% block javascripts %}
	<script>var fullInboxJSON = {{ Inbox|json_encode()|raw }};</script> 
	<script>
    $(document).ready(function() {
      $("input[type=checkbox]").prop("checked", false); // para quitar la marca

        $('#tbl_inbox').DataTable({
                  "language":DataTables.languaje.es
                              
          });

        $( "select" ).addClass( "form-control" );
      $( "input[type='text']" ).addClass( "form-control" );
      $( "input[type='search']").addClass( "form-contro" );             
      $( "#tbl_inbox_length" ).addClass( "form-inline" );
      $( "#tbl_inbox_filter" ).addClass( "form-inline" );



    } );

    $(function () {
      $('[data-toggle="tooltip"]').tooltip()
    })

    var AInbox = new Array();

    function selected(item){

      idInbox = parseInt(item.value);
      var posicion = AInbox.indexOf(idInbox);
      if (posicion == -1) {
        AInbox.push(idInbox);
      }else{
        AInbox.splice(posicion,1);
      }
    }

    function eliminarMensajes(){
      if(AInbox.length > 0){
        showLoading('Eliminando Mensaje(s)');
        var urlActualiza = "{{path('delete_mensaje')}}"; 
        $.post(urlActualiza, {Mensajes:AInbox}, function(data, textStatus, xhr) {
         if (data.estatus == 1){     
            hideLoading(); 
            alert(data.mensaje);        
            refresh(); 
         }else{
            alert(data.mensaje);
            hideLoading();
         }  
        });
      }else{
        alert("Debe seleccionar uno o varios mensajes que desea eliminar");
      }
    }


  //validar fechas    
    function vd_date(){
        
        var date1 = createdate($('#form_fechaInicio').val());
        var date2 = createdate($('#form_fechaFin').val());

        if (date1 <= date2) {
            
            diferencia = restaFechas($('#form_fechaInicio').val(),$('#form_fechaFin').val());
            if(diferencia<8){
                $('#form_Consultar').attr("disabled", false);   
            }else{
                alert("No debe de haber mas de 7 dias de diferencia entre la fecha de inicio y la de fin");
                $('#form_Consultar').attr("disabled", true);
            }
            
        }else if (date1 > date2){
            alert("La fecha de fin no puede ser una fecha anterior a la fecha de Inicio");
            $('#form_Consultar').attr("disabled", true);    
        }

    }


//diferencia entre 2 fechas (restriccion de solo 5 dias a la busqueda en bitacoras)

    function restaFechas(f1,f2)
     {
         var aFecha1 = f1.split('/'); 
         var aFecha2 = f2.split('/'); 
         var fFecha1 = Date.UTC(aFecha1[2],aFecha1[1]-1,aFecha1[0]); 
         var fFecha2 = Date.UTC(aFecha2[2],aFecha2[1]-1,aFecha2[0]); 
         var dif = fFecha2 - fFecha1;
         var dias = Math.floor(dif / (1000 * 60 * 60 * 24)); 
         return dias;
     }

  function consulta(){

    var fecha1 = $('#form_fechaInicio').val();
    var fecha2 = $('#form_fechaFin').val();

      if(fecha1 && fecha2){
        showLoading('Cargando Datos');    
      }

  }

   $( "#form_fechaInicio" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });

    $( "#form_fechaFin" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
      maxDate: "+0D"
    });

    function refresh(){
      $('#form_Consultar').click();
    }

	</script>

{% endblock %}